#if !defined(AFX_CLASSIFIERTREEFRAME_H__BE63EDD6_1482_4A4E_B5E2_F933B6241E3C__INCLUDED_)
#define AFX_CLASSIFIERTREEFRAME_H__BE63EDD6_1482_4A4E_B5E2_F933B6241E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClassifierTreeFrame.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CClassifierTreeFrame frame

class CClassifierTreeFrame : public CFrameWnd
{
	DECLARE_DYNCREATE(CClassifierTreeFrame)
protected:
	CClassifierTreeFrame();           // protected constructor used by dynamic creation

// Attributes
	CToolBar	m_wndToolBar;
	CImageList	m_il;
	CImageList	m_ild;
	int m_old_state;
public:

// Operations
public:
	bool SetMode(UINT mode);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClassifierTreeFrame)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CClassifierTreeFrame();

	// Generated message map functions
	//{{AFX_MSG(CClassifierTreeFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnShowEsquisse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLASSIFIERTREEFRAME_H__BE63EDD6_1482_4A4E_B5E2_F933B6241E3C__INCLUDED_)
